Bug 7584 - pmix_version typo in slurm.spec
Summary: pmix_version typo in slurm.spec
Status: RESOLVED FIXED
Alias: None
Product: Slurm
Classification: Unclassified
Component: PMIx (show other bugs)
Version: 19.05.1
Hardware: Linux Linux
: --- 4 - Minor Issue
Assignee: Alejandro Sanchez
QA Contact:
URL:
Depends on:
Blocks:
 
Reported: 2019-08-15 08:11 MDT by Stijn De Weirdt
Modified: 2020-03-10 04:21 MDT (History)
1 user (show)

See Also:
Site: Ghent
Alineos Sites: ---
Bull/Atos Sites: ---
Confidential Site: ---
Cray Sites: ---
HPCnow Sites: ---
HPE Sites: ---
IBM Sites: ---
NOAA SIte: ---
OCF Sites: ---
SFW Sites: ---
SNIC sites: ---
Linux Distro: ---
Machine Name:
CLE Version:
Version Fixed: 19.05.4 20.02.0pre1
Target Release: ---
DevPrio: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stijn De Weirdt 2019-08-15 08:11:39 MDT
when the slurm.spec files tries to determine the pmix version to use for dependency later, it uses the wrong macro name pmix instead of pmix_version

https://github.com/itkovian/slurm/pull/2/commits/19e132dfcb51eda3b0f3b11297f3ffadcf0ecef8
Comment 2 Josh Schwartz 2019-08-22 11:13:44 MDT
I'm seeing this same issue which prevents installing slurm RPMs built --with-pmix:

Error: Package: slurm-slurmd-19.05.1-2.el7.x86_64 (...)
          Requires: pmix = %{pmix_version}

To elaborate further on Stijn De Weirdt's comment below (the commit link didn't work for me), the offending line in slurm.spec is:

%global pmix %(rpm -q pmix --qf "%{VERSION}")

which should be:

%global pmix_version %(rpm -q pmix --qf "%{VERSION}")

as pmix_version is used later on:

Requires: pmix = %{pmix_version}
Comment 4 Alejandro Sanchez 2019-08-26 03:26:32 MDT
We're looking into this, thanks for reporting.
Comment 8 Alejandro Sanchez 2019-10-31 05:16:19 MDT
Hi,

this has been pushed to 19.05 and will be available from .4 onwards. Thank you both for reporting and Josh for the contribution. I've also added you to the list of contributors. Commits:

commit 65c950aa5b089825321fdebab75cd08d34651b3e (HEAD -> slurm-19.05, origin/slurm-19.05)
Author:     Alejandro Sanchez <alex@schedmd.com>
AuthorDate: Thu Oct 31 12:11:30 2019 +0100

    Docs - Add Josh Schwartz (Cray) to the contributors list.
    
    Bug 7584

commit e8cb346630734e85854273a7593eed65887f9738
Author:     Josh Schwartz <jschwartz@cray.com>
AuthorDate: Thu Oct 31 12:04:24 2019 +0100

    slurm.spec - fix pmix_version global context macro.
    
    Bug 7584

Sorry this has taken a bit of time, we've been having internal discussions around this.

Thank you.